#ifndef __TESTS_CONFIG_H_
#define __TESTS_CONFIG_H_

#include "uart.h"
#include "gpio.h"
#include "keypad.h"


enum /* Configuration for test suite */
{
	testConfig_wiflyPort		= UART_port3,
	testConfig_loggerPort		= UART_port0, /* UART_portNone, */
	testConfig_loggerBauds		= 56000, /* 9600 */

	testConfig_PortA			= GPIO_Port0,
	testConfig_PortB			= GPIO_Port2,

/* pins from PortA */
	testConfig_PinStartKeypad	= 0,	/* keypad takes 7 pins (0..6) */
	testConfig_PinStartKeypadA	= 0,
	testConfig_PinSizeKeypadA	= 4,
	testConfig_PinStartKeypadB	= 4,
	testConfig_PinSizeKeypadB	= 3,

	testConfig_PinIA			= 8,
	testConfig_PinOA			= 10,
	testConfig_PinIB			= 11,
	testConfig_PinOB			= 12,
	testConfig_PinOE			= 21,
	testConfig_PinOF			= 22,

/* pins from PortB */
	testConfig_PinIC			= 27,
	testConfig_PinOC			= 28,
	testConfig_PinID			= 13
};

extern const KEYPAD_cfg testKeypadCfg;

#endif /* __TEST_COFIG_H_ */
